'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextCell = undefined;

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _OverflowExpander = require('./OverflowExpander');

var _OverflowExpander2 = _interopRequireDefault(_OverflowExpander);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HORZ_PADDING = 6;

var TextCell = exports.TextCell = function TextCell(props) {
  var content = void 0;

  if (props.cellData.type === 'TEXT') {
    if (!props.cellData.main) {
      content = '';
    } else {
      content = props.cellData.main.text;
      var href = props.disabled ? 'javascript:void(0);' : props.cellData.main.href;
      if (href) {
        content = _react2.default.createElement(
          'a',
          { href: href, target: '_blank' },
          content
        );
      }
    }
  } else {
    // type === 'AUTO', probably
    if (props.cellData.text) {
      content = props.cellData.text;
    } else if (props.cellData.main) {
      if (typeof props.cellData.main.text === 'string') {
        content = props.cellData.main.text;
      } else {
        content = props.cellData.main;
      }
    } else {
      content = '';
    }

    if (!(typeof content === 'undefined' ? 'undefined' : _typeof(content)) === 'string') {
      content = JSON.stringify(content);
    }
  }

  return _react2.default.createElement(
    'div',
    {
      className: 'text-cell',
      style: {
        float: 'left',
        padding: '0 ' + HORZ_PADDING + 'px'
      }
    },
    _react2.default.createElement(
      _OverflowExpander2.default,
      { availableWidth: props.width - HORZ_PADDING * 2 },
      content
    )
  );
};

TextCell.propTypes = {
  cellData: _propTypes2.default.object.isRequired,
  width: _propTypes2.default.number.isRequired,
  disabled: _propTypes2.default.bool
};